Page MenuHomePhabricator

Update UploadWizard's "1925" messages for so-old-they're-PD-in-the-US to 1926, now that it's 2021
Closed, ResolvedPublic

Description

I am posting here per this discussion.

The problem is that pages such as https://commons.wikimedia.org/wiki/Special:UploadWizard read "The copyright has definitely expired in the USA" because it was "First published in the United States before 1925" but the American public domain now starts in 1926. Steps to reproduce are to upload anything onto Commons. A suggested solution is to include a dynamic JavaScript-based date that is today's date minus 95 years, rounded up (e.g. 2021-11-18 minus 95 years would be 1926-11-18 but we would round up to 1926-01-01).

Event Timeline

Koavf created this task.Mon, Jan 11, 11:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMon, Jan 11, 11:34 PM

Yeah, as I said on the Village Pump, a dynamically-generated date wouldn't be appropriate for a legal text; this should always go through human review.

(Also, this is in server-side code, not JS.)

I'll re-purpose this to "update for 2021".

Last year's change was https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/extensions/UploadWizard/+/5c3d0e80b99983f33a582ebcbba3603c47b48d4f%5E%21/#F0

Jdforrester-WMF renamed this task from Some dates on Commons are static and manually hard-coded instead of dynamically-generated to Update UploadWizard's "1925" messages for so-old-they're-PD-in-the-US to 1926, now that it's 2021.Mon, Jan 11, 11:44 PM
Jdforrester-WMF added a project: UploadWizard.

Change 655530 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/UploadWizard@master] i18n: Change US Public Domain year from 1925 to 1926, now we're in 2021

https://gerrit.wikimedia.org/r/655530

Change 655530 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] i18n: Change US Public Domain year from 1925 to 1926, now we're in 2021

https://gerrit.wikimedia.org/r/655530

Jdforrester-WMF closed this task as Resolved.Tue, Jan 12, 12:33 AM
Jdforrester-WMF claimed this task.

OK, this is done, and will roll out to Commons on Wednesday.

Koavf added a comment.Thu, Jan 14, 8:22 AM

Do I need to remake this ticket every December 31 or will it auto-update? I'm willing to make a calendar reminder for myself.

Koavf added a comment.Thu, Jan 14, 8:23 AM

Oh, and thanks, J!

Do I need to remake this ticket every December 31 or will it auto-update? I'm willing to make a calendar reminder for myself.

It won't auto-update, no; if you could remind us if we forget next year that'd be great, but hopefully I'll remember. (He says…)

Oh, and thanks, J!

Of course; sorry I didn't think of this myself.